// 根据微信小程序环境版本设置 baseUrl
// let domain = 'http://192.168.100.254:8024/front-api' // 内网IP
// let domain = 'http://192.168.100.199:8081' // 晋守桦IP
// let domain = 'http://192.168.100.14:8081' // 赵乔功IP
// let domain = 'http://192.168.100.146:8079' // 马二勇
    //let domain = 'http://192.168.100.92:8080' // 朝龙
  //let domain = 'http://192.168.101.213:8080' // 小明
 let domain = 'http://192.168.101.39:8080' // 学富
 //let domain = 'https://rjsd.mychery.com/prod-api' //线上环境

const getBaseUrl = () => {
  // 获取小程序账户信息（包含环境版本）
  const accountInfo = uni.getAccountInfoSync()||{};
  const envVersion = accountInfo.miniProgram.envVersion;
  console.log('环境版本-getBaseUrl：', envVersion);
  switch (envVersion) {
    case 'develop': // 开发版
      return {
        // domain:'https://www.bjwdys.com/prod-api',
        // domainWS:'wss://www.bjwdys.com/prod-api',
        domain:domain,
        domainWS:domain,
      };
    case 'trial':   // 这边分为测试版本和预生产,根据开发注释掉
      // 测试 -对应LS体验版
      return  {
        // domain:'https://www.bjwdys.com/prod-api',
        // domainWS:'wss://www.bjwdys.com/prod-api',
        domain:domain,
        domainWS:domain,
      };;
      // 预生产 - 对应壹加体验版
      // return 'https://wxmp-pre.equah.com.cn';
    case 'release': // 正式版
      return  {
        domain:domain,
        domainWS:domain,
		
      };;
    default:
      return  {
        domain:'https://www.bjwdys.com/prod-api',
        domainWS:'wss://www.bjwdys.com/prod-api',
      };;
  }
};

export const domainInfo = getBaseUrl();
